using UnityEditor;
using UnityEngine;

[CustomEditor(typeof(DecalSpawner))]
public class Inspector_DecalSpawner : Editor
{
    public override void OnInspectorGUI()
    {
        DrawDefaultInspector();

        DecalSpawner decalSpawner = (DecalSpawner)target;

        if(GUILayout.Button("Spawn"))
        {
            decalSpawner.SpawnDecals();
        }
    }
}
